Name:           solarspeed-blueonyx-repo
Version:        1.0.0
Release:        SOL3
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Solarspeed.net (C) 2007-2011
URL:            http://www.solarspeed.net
License:        Proprietory
Group:          System Environment/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx
Source:         %{name}-%{version}-%{release}.tar.gz
Obsoletes:	nuonce-yumconf
Summary:        Solarspeed YUM Repository Config file for BlueOnyx

%description
YUM Repository Config file for Solarspeed related BlueOnyx add-ons

%prep
%setup -q -n %{name}-%{version}-%{release}
#%setup -q -n %{name}

%build

rm -R -f $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mv * $RPM_BUILD_ROOT/

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# Symlinks:
# Recreates source tarball if need be - with dereferenced symlinks.

    find $RPM_BUILD_ROOT/ -type l -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" > solSymLinks.list
    if [ "$(cat solSymLinks.list)X" = "X" ] ; then
        pwd
    else
        rm -f %{name}-%{version}-%{release}.tar.gz
        tar czvfh /usr/src/redhat/SOURCES/%{name}-%{version}-%{release}.tar.gz -C /usr/src/redhat/SOURCES/ %{name}-%{version}-%{release}/
    fi

# Files:

  find $RPM_BUILD_ROOT/ -type f -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v *.spec | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

%post

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)

%changelog

* Tue Jul 12 2011 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL3]: Updated for BlueOnyx 5107R

* Tue Jan 13 2009 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL2]: Updated to obsolete nuonce-yumconf

* Fri Dec 26 2008 Michael Stauber <mstauber@solarspeed.net>
- [1.0.0-SOL1]: Initial Build for CentOS + BlueOnyx - mirrorized.

